# router

HTTP router based on radix trees.

## Example

We can save any type of data inside the router. Here is an example storing strings for each route:

```go
router := router.New[string]()

router.Add("GET", "/hello", "Hello")
router.Add("GET", "/world", "World")
```

## Benchmarks

Requesting every single route in [github.txt](testdata/github.txt):

```
BenchmarkLookup-12                 33210             36134 ns/op           19488 B/op        337 allocs/op
BenchmarkLookupNoAlloc-12         103437             11331 ns/op               0 B/op          0 allocs/op
```